%bcond_with network

Summary:        Manage your Python library's sample data files
Name:           python-pooch
Version:        1.5.2
Release:        3%{?dist}
License:        BSD
URL:            https://pypi.org/project/pooch/
Source0:        %{pypi_source pooch}

BuildRequires:  python3-devel python3-pytest
%if %{with network}
BuildRequires:  python3-paramiko python3-tqdm python3-xxhash
%endif

BuildArch:      noarch

%description
Pooch manages sample data files for Python libraries. It
automatically downloads and stores them in a local directory,
with support for versioning and checks for corruption.


%package -n python3-pooch
Summary:        Manage your Python library's sample data files

%description -n python3-pooch
Pooch manages sample data files for Python libraries. It
automatically downloads and stores them in a local directory,
with support for versioning and checks for corruption.


%prep
%autosetup -n pooch-%{version}
%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pooch


%check
%if %{with network}
%pytest -k "not ftp_downloader and not downloader_progressbar_ftp"
%endif


%files -n python3-pooch -f %{pyproject_files}
%doc README.* CITATION.* CODE_OF_CONDUCT.* CONTRIBUTING.* MAINTENANCE.*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 25 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.2-1
- Initial build

